You are not logged in.

#1 2018-06-13 22:26:51

funmaker
Member
Registered: 2016-02-22
Posts: 16

Can't start mumble. QSQLITE driver not loaded.

Hi, I haven't been using mumble VoIP for few months and now it crashes on start.

Output:

CELT bitstream 8000000b from /usr/lib/mumble/libcelt0.so.0.7.0
CELT bitstream 80000010 from /usr/lib/mumble/libcelt0.so.0.11.0
Locale is "en_US" (System: "en_US")
QSqlDatabase: QSQLITE driver not loaded
QSqlDatabase: available drivers: 
Database: Failed initialization
[1]    26427 abort (core dumped)  mumble

I searched for libqsqlite.so in /usr:

/usr/plugins/sqldrivers/libqsqlite.so
/usr/pkgs/qt-5.9.4-h4e5bff0_0/plugins/sqldrivers/libqsqlite.so
/usr/lib/qt/plugins/sqldrivers/libqsqlite.so
/usr/lib/qt4/plugins/sqldrivers/libqsqlite.so

Reinstalling qt4 doesn't seem to solve the problem. Anyone has any idea how can I fix it? I'm sure it used to work before.

Offline

#2 2018-06-14 19:09:01

funmaker
Member
Registered: 2016-02-22
Posts: 16

Re: Can't start mumble. QSQLITE driver not loaded.

I've ran a command to check the location where qt4 search for plugins.

$ qmake-qt4 -query | grep PLUGIN
QT_INSTALL_PLUGINS:/usr/plugins

There was no sqldrivers folder there so I've created symlink to /usr/lib/qt4/plugins/sqldrivers/ and now I can start mumble. However it seems it can't display any icons and utf-8 emojis. Screenshot

Output:

CELT bitstream 8000000b from /usr/lib/mumble/libcelt0.so.0.7.0
CELT bitstream 80000010 from /usr/lib/mumble/libcelt0.so.0.11.0
Locale is "en_US" (System: "en_US")
Database SQLite: "3.24.0" 
Overlay: Removing old socket on "/home/funmaker/.MumbleOverlayPipe" 
Overlay: Listening on "/home/funmaker/.MumbleOverlayPipe" 
GlobalShortcutX: Using XI2 2.3
SocketRPC: Removing old socket on "/home/funmaker/.MumbleSocket" 
Plugins: Failed to load libmumble.so: Cannot load library /usr/lib/mumble/libmumble.so: (/usr/lib/mumble/libmumble.so: undefined symbol: glPopClientAttrib)
Plugins: Failed to load libmumble.so.1: Cannot load library /usr/lib/mumble/libmumble.so.1: (/usr/lib/mumble/libmumble.so.1: undefined symbol: glPopClientAttrib)
Plugins: Failed to load libmumble.so.1.2: Cannot load library /usr/lib/mumble/libmumble.so.1.2: (/usr/lib/mumble/libmumble.so.1.2: undefined symbol: glPopClientAttrib)
Plugins: Failed to load libmumble.so.1.2.19: Cannot load library /usr/lib/mumble/libmumble.so.1.2.19: (/usr/lib/mumble/libmumble.so.1.2.19: undefined symbol: glPopClientAttrib)
AudioInput: 40000 bits/s, 48000 hz, 480 sample
PulseAudio: Starting input alsa_input.pci-0000_00_1f.3.analog-stereo
PulseAudio: Starting output: alsa_output.pci-0000_00_1f.3.analog-stereo
AudioOutput: Initialized 2 channel 44100 hz mixer
AudioInput: Initialized mixer for 1 channel 44100 hz mic and 0 channel 48000 hz echo
warning: The VAD has been replaced by a hack pending a complete rewrite
OpenSSL Support: 1 (OpenSSL 1.1.0h  27 Mar 2018)
ServerHandler: TLS cipher preference is "ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:AES256-SHA:AES128-SHA"

I also tried to install mumble-snaphot and mumble-git(which I believe are based on qt5) from AUR, but they crash as well.(with or without the symlink)

[1]    27320 segmentation fault (core dumped)  mumble

I tried reinstalling qt5 but it doesn't help. It seems like there is something wrong with my qt library, but I have no idea how to debug it.

Offline

#3 2018-06-16 16:09:57

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 6,057

Re: Can't start mumble. QSQLITE driver not loaded.


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#4 2018-06-16 18:41:15

funmaker
Member
Registered: 2016-02-22
Posts: 16

Re: Can't start mumble. QSQLITE driver not loaded.

Yeah, I encountered this problem as well, but this bug is related only to qt5 mumble(snapshot). The reason why mumble-snapshot was crashing was corrupted openssl library. I found it out using gdb.
Yesterday I realized opengl doesn't work as well, on both intel and optimus nvidia GPU. I gave up then, there was something seriously wrong going on. I reinstalled Arch and I don't have any of these issues now. I use stable mumble until they fix qt5 builds, and I no longer have any graphical or database issues.

Last edited by funmaker (2018-06-16 18:41:36)

Offline

Board footer

Powered by FluxBB